pfblocker 2.1 error (Cannot allocate memory) with builds after "Aug 1 19:39:40"
Description

I have been using pfsense for over 2 years now and I love it (master and slave virtualized under ESXi 5.1).

I am using pfblocker 2.1 and have not had much trouble with it until last week when I started to get the error:

[ There were error(s) loading the rules: /tmp/rules.debug:41: cannot define table pfBlockerLevel2: Cannot allocate memory - The line

in question reads [41]: table persist file /var/db/aliastables/pfBlockerLevel2.txt]

--------------------------------------------------------------------------

I already tried some very high values for the Firewall Maximum Table Entries  with no success (System - Advanced - Firewall

Maximum Table Entries = 999999999)

My previous value was 4000000 and it was working fine.

This happens with no changes made to the pfsense config: The error comes up if I update to any build after: Thu Aug 1 19:39:40

EDT 2013

I also went ahead and configured 2 GB Memory (instead of 1 GB that was working fine until last week), with no success either.

I also tried changing the PHP memory (/etc/inc/config.inc) from 256M to 512M, with no success either.

Other users are also having this issue:

http://forum.pfsense.org/index.php/topic,65340.0.html

Thanks!

History

#1 - 08/14/2013 04:39 PM - Joe Joe

Update, this gets fixed by:

jimp:

Try reverting this commit via the system patches package:

https://github.com/pfsense/pfsense/commit/71549fa70975d30cf2fdb0275da8744b40c8ee49

#2 - 08/15/2013 08:51 PM - Joe Joe

Update:

This seems to have been fixed in today's build: Thu Aug 15 16:30:12 EDT 2013

I just installed it and the pfblocker error no longer comes up (and not having to revert the commit given above).

I have not seen any change/update on this bug, so I hope the bug was actually fixed and it's not just a coincidence or unintended behavior.

But if it was fixed indeed, thanks so much!

#3 - 08/15/2013 11:32 PM - Jim Pingle

- Status changed from New to Feedback

Yes, this was fixed by 8b226290 / c6868a8f it just wasn't noted here in the ticket.
http://forum.pfsense.org/index.php/topic,65340.0.html
https://github.com/pfsense/pfsense/commit/71549fa70975d30cf2fdb0275da8744b40c8ee49
https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/8b22629028281843208457e31473f212ed7b41a7
https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/c6868a8fae2ef26288e11a588749f5f54469687c


#4 - 08/15/2013 11:32 PM - Jim Pingle

- Project changed from pfSense Packages to pfSense

#5 - 09/05/2013 06:48 AM - Renato Botelho

- Status changed from Feedback to Resolved
